Ticket #31933

2013.2jp にむけたテキスト解析辞書の更新

Open Date: 2013-08-26 11:26 Last Update: 2013-09-14 14:50

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: (None) MileStone: 2013.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

2013.2jp にむけた、点訳エンジンおよびJTalk音声エンジンのための、テキスト解析辞書の変更についてまとめます。

miscdep 176 での変更

https://dl.dropboxusercontent.com/u/62564469/nvdajp-miscdep-176-a21ee18.7z

mecab 辞書の詳細は省略しますが、テストケースとして下記が追加され、これらは解析に失敗しないようになっています。

(ケース定義で braille と書かれている部分は内部処理の表記で、最終的な点訳ますあけ結果そのものではありません)

# include/jtalk/mecabRunner.py

	{'text':'usage', 'speech':'ユーセイジ'},
	{'text':'june', 'speech':'ジューン'},
	{'text':'foundation', 'speech':'ファウンデイション'},
	{'text':'everyone', 'speech':'エブリワン'},
	{'text':'allowed', 'speech':'アラウド'},
	{'text':'designed', 'speech':'デザインド'},
	{'text':'take', 'speech':'テイク'},
	{'text':'share', 'speech':'シェアー'},
	{'text':'change', 'speech':'チェインジ'},
	{'text':'guarantee', 'speech':'ギャランティー'},
	{'text':'preamble', 'speech':'プリアムブル'},
	{'text':'make', 'speech':'メイク'},
	{'text':'sure', 'speech':'シュア'},
	{'text':'users', 'speech':'ユーザーズ'},
	{'text':'some', 'speech':'サム'},

	{'text':'更衣室', 'braille':'コーイシツ'},
	{'text':'盗撮', 'braille':'トーサツ'},
	{'text':'晴れ所により一時雨', 'braille':'ハレ/トコロニ ヨリ/イチジ/アメ'},
	{'text':'山西', 'braille':'ヤマニシ'},
	{'text':'久代', 'braille':'ヒサヨ'},

	{'text':'編集人', 'braille':'ヘンシューニン'},
	{'text':'発行人', 'braille':'ハッコーニン'},
	{'text':'受取人', 'braille':'ウケトリニン'},
	{'text':'配達人', 'braille':'ハイタツニン'},
	{'text':'管理人', 'braille':'カンリニン'},
	{'text':'下請人', 'braille':'シタウケニン'},

Attachment File List

No attachments

Ticket History (3/3 Histories)

2013-08-26 11:26 Updated by: nishimoto
  • New Ticket "2013.2jp にむけたテキスト解析辞書の更新" created
2013-08-30 14:36 Updated by: nishimoto
Comment

後述のテストケースを通すだけのためのアドホックな点訳エンジンの修正です:

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   8d9f85a..4e9faef  release-2013.2jp -> release-2013.2jp

# jptools/harness.py

	{'text':'晴れ所により一時雨', 'input':'ハレ トコロニ ヨリ イチジ アメ'},
2013-09-14 14:50 Updated by: nishimoto
  • Ticket Close date is changed to 2013-09-14 14:50
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Edit

Please login to add comment to this ticket » Login